module Classes.Physics.Mass where

-- | This typeclass is a centerpiece of the physics implementation and is used
-- to implement the basic mass properties of a (very simplified) physical body.
class Mass m where

  -- | The mass of the object
  mass :: m -> Double

  -- | The scaling factor for how much this object is affected by gravity.
  gravScale :: m -> Double
